"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Disabled = exports.Outlined = exports.Contained = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const Button_1 = tslib_1.__importDefault(require("@material-ui/core/Button"));
const ButtonBootstrap_styles_1 = require("./ButtonBootstrap.styles");
exports.default = {
    title: "Component/Button/Bootstrap",
    component: Button_1.default,
    argTypes: {},
    args: {
        disableTouchRipple: true,
    },
    parameters: {
        layout: "centered",
    },
};
const Contained = (args) => {
    const classes = ButtonBootstrap_styles_1.useButtonBootstrapStyles();
    return (react_1.default.createElement("div", { style: { gap: 12, display: "flex" } },
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes }), "Default"),
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes, color: "primary" }), "Primary"),
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes, color: "secondary" }), "Secondary")));
};
exports.Contained = Contained;
exports.Contained.args = {
    variant: "contained",
};
const Outlined = (args) => {
    const classes = ButtonBootstrap_styles_1.useButtonBootstrapStyles();
    return (react_1.default.createElement("div", { style: { gap: 12, display: "flex" } },
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes }), "Default"),
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes, color: "primary" }), "Primary"),
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes, color: "secondary" }), "Secondary")));
};
exports.Outlined = Outlined;
exports.Outlined.args = {
    variant: "outlined",
};
const Disabled = (args) => {
    const classes = ButtonBootstrap_styles_1.useButtonBootstrapStyles();
    return (react_1.default.createElement("div", { style: { gap: 12, display: "flex" } },
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes, variant: "contained" }), "Default"),
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes, variant: "contained", color: "primary" }), "Primary"),
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes, variant: "contained", color: "secondary" }), "Secondary"),
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes, variant: "outlined" }), "Default"),
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes, variant: "outlined", color: "primary" }), "Primary"),
        react_1.default.createElement(Button_1.default, Object.assign({}, args, { classes: classes, variant: "outlined", color: "secondary" }), "Secondary")));
};
exports.Disabled = Disabled;
exports.Disabled.args = {
    disabled: true,
};
//# sourceMappingURL=ButtonBootstrap.stories.js.map